VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} changes 
   Caption         =   "History"
   ClientHeight    =   7785
   ClientLeft      =   120
   ClientTop       =   465
   ClientWidth     =   16710
   OleObjectBlob   =   "changes.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "changes"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private x As Variant

Private Sub cbCancel_Click()

    Me.Hide

End Sub

Private Sub cbUndo_Click()

    
    Call Me.delete_selected

End Sub

Private Sub lbHist_Change()

    Dim i As Integer

    For i = 0 To Me.lbHist.ListCount - 1
        If Me.lbHist.Selected(i) Then
            Me.tbPrint.value = x(i, 7)
            Exit Sub
        End If
    Next i

End Sub



Private Sub lbHist_KeyUp(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)

    Select Case KeyCode
        Case 46
            Call Me.delete_selected
        Case 27
            Call Me.Hide
    End Select

End Sub



Private Sub tbPrint_Change()

End Sub


Private Sub UserForm_Activate()

    Dim fail As Boolean
    
    'x = handler.list_changes("{""user"":""" & Application.UserName & """}", fail)
    x = handler.list_changes("{""quota_rep_descr"":""" & Sheets("data").Cells(2, 5) & """}", fail)
    If fail Then
        Me.Hide
        Exit Sub
    End If
    Me.lbHist.list = x
    
    lbHEAD.ColumnCount = lbHist.ColumnCount
    lbHEAD.ColumnWidths = lbHist.ColumnWidths

    ' add header elements
    lbHEAD.clear
    lbHEAD.AddItem
    lbHEAD.list(0, 0) = "Modifier"
    lbHEAD.list(0, 1) = "Owner"
    lbHEAD.list(0, 2) = "When"
    lbHEAD.list(0, 3) = "Tag"
    lbHEAD.list(0, 4) = "Comment"
    lbHEAD.list(0, 5) = "Sales"
    
    ' make it pretty
    'body.ZOrder (1)
    'lbHEAD.ZOrder (0)
    'lbHEAD.SpecialEffect = fmSpecialEffectFlat
    'lbHEAD.BackColor = RGB(200, 200, 200)
    lbHEAD.Height = 10

    ' align header to body (should be done last!)
    lbHEAD.width = lbHist.width
    lbHEAD.Left = lbHist.Left
    lbHEAD.Top = lbHist.Top - (lbHEAD.Height - 1)

End Sub

Sub delete_selected()

    Dim logid As Integer
    Dim i As Integer
    Dim fail As Boolean
    Dim proceed As Boolean
    
    If MsgBox("Permanently delete these changes?", vbOKCancel) = vbCancel Then
        Exit Sub
    End If
    
    
    For i = 0 To Me.lbHist.ListCount - 1
        If Me.lbHist.Selected(i) Then
            Call handler.undo_changes(x(i, 6), fail)
            If fail Then
                MsgBox ("undo did not work")
                Exit Sub
            End If
        End If
    Next i
    
    Sheets("Orders").PivotTables("PivotTable1").PivotCache.Refresh
    
    Me.lbHist.clear
    Me.Hide

End Sub
